package com.xjrsoft.module.evaluate.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.evaluate.dto.*;
import com.xjrsoft.module.evaluate.entity.EvaluateResult;
import com.xjrsoft.module.evaluate.vo.EvaluateResultDetailPageDetailVo;
import com.xjrsoft.module.evaluate.vo.EvaluateResultDetailPageVo;
import com.xjrsoft.module.evaluate.vo.EvaluateResultIndexPageVo;
import com.xjrsoft.module.evaluate.vo.ResultViewingPageVo;
import org.springframework.http.ResponseEntity;

/**
* @title: 评价结果
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/

public interface IEvaluateResultService extends MPJBaseService<EvaluateResult> {
    IPage<EvaluateResultIndexPageVo> getIndexPage(EvaluateResultIndexPageDto dto);

    IPage<EvaluateResultDetailPageVo> getDetailPage(EvaluateResultDetailPageDto dto);

    EvaluateResultDetailPageDetailVo getDetailPageDetail(EvaluateResultDetailPageDetailDto dto);

    IPage<ResultViewingPageVo> pageResultViewing(ResultViewingPageDto dto);

    String saveBatch(EvaluateResultSaveDto dto);

    ResponseEntity<byte[]> getList(ResultViewingExcelDto dto);
}
